
.file-upload__wrapper {
    /* position: fixed; */
    bottom: 20px;
    right: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100px;
}

.file-input {
    display: none; /* Скрываем стандартный инпут */
}

.file-label {
    font-size: 1rem;
    padding: 1rem 3rem;
    color: #ffffff;
    text-transform: uppercase;
    text-decoration: none;
    border: 1px solid rgb(146, 148, 248);
    position: relative;
    overflow: hidden;
}

.file-label:hover {
    box-shadow: 1px 1px 25px 10px rgba(146, 148, 248, 0.4);
    background: #23c931a8;
}

.file-label::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(120deg, transparent, rgba(146, 148, 248, 0.4), transparent);
    transition: all 650ms;
}

.file-label:hover::before {
    left: 100%;
}